[ `/usr/bin/id -u` -ge 500 ] || exit
([ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled) || exit

eval set `grep ^SELINUXTYPE /etc/selinux/config`

[ $SELINUXTYPE = strict ] || exit

set DIRS="/tmp/orbit-$USER $HOME/.fonts $HOME/.fonts/auto $HOME/.gnome2 $HOME/.gnome2/share/fonts $HOME/.gnome2/share/cursor-fonts $HOME/.gnome2_private $HOME/.gpg $HOME/.mozilla $HOME/.mplayer $HOME/.evolution $HOME/.thunderbird"

foreach DIR ( $DIRS )
      [ -d $DIR ] || mkdir -p $DIR
end
set RESTORED=`/sbin/restorecon -v $DIRS |& cat`
if ( $status == 0 && "$RESTORED" != "" ) then
    set RESULT=`echo "$RESTORED" | awk '{ print $3 }'`
    echo "Restoring SELinux context for:"
    echo $RESULT | sed 's| |\n|g' 
    /sbin/restorecon -R $RESULT
endif
