[ `/usr/bin/id -u` -ge 500 ] || return

([ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled) || return

. /etc/selinux/config

[ $SELINUXTYPE = strict ] || return

DIRS=" \
/tmp/orbit-$USER \
$HOME/.fonts \
$HOME/.fonts/auto \
$HOME/.gnome2 \
$HOME/.gnome2/share/fonts \
$HOME/.gnome2/share/cursor-fonts \
$HOME/.gnome2_private \
$HOME/.gpg \
$HOME/.mozilla \
$HOME/.mplayer \
$HOME/.evolution \
$HOME/.thunderbird \
"

for DIR in $DIRS; do
[ -d $DIR ] || mkdir -m 700 -p $DIR
done

RESTORED=`/sbin/restorecon -v $DIRS 2>&1`
if [ $? -a ! -z "$RESTORED" ]; then
	RESULT=`echo "$RESTORED" | awk '{ print $3 }'`
	echo "Restoring SELinux context for:"
	echo $RESULT | sed 's| |\n|g' 
	/sbin/restorecon -R $RESULT
fi

